VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Attributes | List of all members
ClassInfo::Data Struct Reference

`#include <module.h>`

## Public Attributes
UID | classID
int32_t | cardinality
std::string | category
std::string | name
std::string | vendor
std::string | version
std::string | sdkVersion
SubCategories | subCategories
Steinberg::uint32 | classFlags = 0

## Member Data Documentation

UID classID

int32_t cardinality

std::string category

std::string name

std::string vendor

std::string version

std::string sdkVersion

SubCategories subCategories

Steinberg::uint32 classFlags = 0

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.